> For the complete documentation index, see [llms.txt](https://emotive.gitbook.io/emotive-lists/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://emotive.gitbook.io/emotive-lists/reference/api-reference/subscriber-lists.md).

# Subscriber Lists

## Requirements

To use the `subscriber` endpoint, requests must be made against a base URL of `https://www.emotiveapp.co/` Requests are authenticated using an `Authorization` header with value: `<YOUR_API_KEY>` .

## Subscriber sources endpoint

> Returns current active signups

```json
{"openapi":"3.0.2","info":{"title":"Subscriber Engine API","version":"1.0.0"},"security":[{"TokenHeader":[]}],"components":{"securitySchemes":{"TokenHeader":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"SubscriberSource":{"type":"object","properties":{"subscribe_identifier":{"type":"string"},"name":{"type":"string"}}}}},"paths":{"/subscriber_engine/api/v1/sources/subscriber_lists/":{"get":{"summary":"Subscriber sources endpoint","description":"Returns current active signups","tags":["subscriber_engine Subscriber"],"responses":{"200":{"description":"Available signup flows","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SubscriberSource"}}}}}}}}}}
```

## The SubscriberSource object

```json
{"openapi":"3.0.2","info":{"title":"Subscriber Engine API","version":"1.0.0"},"components":{"schemas":{"SubscriberSource":{"type":"object","properties":{"subscribe_identifier":{"type":"string"},"name":{"type":"string"}}}}}}
```

{% content-ref url="/pages/IDtHjTN3entfviJ113JX" %}
[Subscriber](/emotive-lists/reference/api-reference/subscriber.md)
{% endcontent-ref %}
